Package org.opensaml.saml.common.binding.artifact

# Interface SAMLArtifact

All Known Subinterfaces:
  `SAML1Artifact`, `SAML2Artifact`, `SAMLSourceIDArtifact`, `SAMLSourceLocationArtifact`

All Known Implementing Classes:
  `AbstractSAML1Artifact`, `AbstractSAML2Artifact`, `AbstractSAMLArtifact`, `SAML1ArtifactType0001`, `SAML1ArtifactType0002`, `SAML2ArtifactType0004`

public interface SAMLArtifact
Interface for all SAML artifacts.

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getArtifactBytes()`
Gets the bytes for the artifact.
`byte[]`
`getTypeCode()`
Gets the 2 byte type code for this artifact.

## Method Details

### getArtifactBytes

@Nonnull byte[] getArtifactBytes()
Gets the bytes for the artifact.

Returns:
  the bytes for the artifact

### getTypeCode

@Nonnull byte[] getTypeCode()
Gets the 2 byte type code for this artifact.

Returns:
  the type code for this artifact